---------------------------------------------------------------------------------
--------------------- UltimateProgress - communication.lua ----------------------
------------------------ created by Aristo - Version 2.0 ------------------------
---------------------------------------------------------------------------------


local prefix = "UPv2"
local L = LibStub("AceLocale-3.0"):GetLocale("UltimateProgress2", true)
C_ChatInfo.RegisterAddonMessagePrefix(prefix)

function UP_Functions.CommOut(var, arg)
    if var and tostring(arg) then
        local msg = var.."-"..tostring(arg)
        --print(msg)
        --C_ChatInfo.SendAddonMessage(prefix, var.."-"..arg, "PARTY")
        C_ChatInfo.SendAddonMessage(prefix, msg, "WHISPER", UP_Settings.ProgressPartner)
    end
end


function UP_Functions.CommIn(msg, channel, sender, ...)
    local msgDrinkError = L["DrinkOff"]
    local cmd, arg_string = string.split("-", msg)
    local arg
    if arg_string == "true" then
        arg = true
    elseif arg_string == "false" then
        arg = false
    end

    if cmd == "UP_Settings.ProgressActive" then
        if UP_Settings.ProgressActive ~= arg then
            UP_Functions.ActivateProgress(sender)
        end
    end

    if cmd == "Drink" then
        if arg == true and UP_Settings.DrinkActive == true then
            UP_Functions.Drink()
        elseif arg == true and UP_Settings.DrinkActive == false then
            UP_Functions.CommOut("Drink", UP_Settings.DrinkActive)
        elseif arg == false then
            print(msgDrinkError:format(sender))
        end
    end
            
end   